<?php
error_reporting(E_ALL);
ini_set('display_errors', 1);
ini_set('memory_limit', '512M');
date_default_timezone_set('Europe/Madrid');
//include("conexion.php");
if(isset($_REQUEST["from"])) //Formato linux timestamp
	$from=$_REQUEST["from"]; else $from=0;
if(isset($_REQUEST["supplier"])) //Formato linux timestamp
	$supplier=$_REQUEST["supplier"]; else $supplier=0;
//$from=date('d/m/Y', $from);

$resultProducts=[];


function mssql_escape($str)
{
    if(get_magic_quotes_gpc())
    {
        $str= stripslashes($str);
    }
    return str_replace("'", "''", $str);
}

$serverName = "localhost";
$connectionInfo = array( "Database"=>"ICF", "UID"=>"VAIO", "PWD"=>"VAIO", "ConnectionPooling" => "1", "MultipleActiveResultSets"=>'1');

$connNavision=false;
$retries=0;
while(!$connNavision && $retries<3){
	$connNavision = sqlsrv_connect( $serverName, $connectionInfo);
	$retries++;
}
	$objects=[];

	if( $connNavision ) {
		 //echo "Conexion establecida con Navision.\r\n";
	}else{
		 //echo "Conexion no se pudo establecer con Navision.\r\n";
		 die( print_r( sqlsrv_errors(), true));
	}

		//GET MAX TIMESTAMP
		$maxtimestamp=0;
		$sql = 'SELECT CAST(MAX(TIMESTAMP) AS BIGINT) timestamp FROM [Item]';
		$stmt = sqlsrv_query( $connNavision, $sql );
		if( $stmt !== false) {
			if($row = sqlsrv_fetch_array( $stmt, SQLSRV_FETCH_ASSOC)){
				$maxtimestamp=$row['timestamp'];
			}
		}	

	$sql='SELECT 
	[Item No.], 
	[Line Discount %] Discount, 
	[% Descuento 1] Discount1, 
	[% Descuento 2] Discount2, 
	[% Descuento 3] Discount3, 
	[% Descuento 4] Discount4, 
	[Starting Date] Starting, 
	[Ending Date] Ending, 
	[Minimum quantity] Quantity
	FROM [Ind. Campollano Ferreterķa S.L$Purchase Line Discount]
	WHERE [Item No.]=(SELECT [Grupo Dto. Art. Compra] from [Item] WHERE [No.]=\''.$from.'\') AND [Vendor No.]=\''.$supplier.'\'';

	/*$sql='SELECT [Item No.], [Cross-Reference Type No.], [Cross-Reference No.] FROM dbo."Item Cross Reference" WHERE [Cross-Reference Type]=3
	and [Cross-Reference Type No.]=\'C01448\'';*/
	//echo $sql;
	$stmt = sqlsrv_query( $connNavision, $sql );
		if( $stmt !== false) {
			while($row = sqlsrv_fetch_array( $stmt, SQLSRV_FETCH_ASSOC)){
				$temp=[];
				foreach($row as $key=>$object){
					$temp_object[$key]=!is_object($object)?utf8_encode($object):$object;		
					
				}
				$objects[]=$temp_object;
			}
		}
	$prueba["maxtimestamp"]=$maxtimestamp;
	$prueba["class"]=$objects;
	$result[]=$prueba;
echo json_encode($result, JSON_PRETTY_PRINT);
?>